<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:po="http://psol.com/2004/po"
                version="1.0">

<xsl:output method="html"
            indent="yes"
            doctype-system="http://www.w3.org/TR/REC-html40/loose.dtd"
            doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>

<xsl:template match="po:PurchaseOrder">
   <html>
      <head><title>Purchase Order</title></head>
      <body>
         <p>Buyer: <xsl:value-of select="po:Buyer/po:Name"/></p>
         <p>Seller: <xsl:value-of select="po:Seller/po:Name"/></p>
         <p>Date: <xsl:value-of select="po:Date"/></p>
         <p>Reference: <xsl:value-of select="po:Reference"/></p>
         <table>
            <xsl:for-each select="po:ProductList/po:Product">
               <tr>
                  <xsl:if test="position() mod 2 = 0">
                     <xsl:attribute name="bgcolor">lightgrey</xsl:attribute>
                  </xsl:if>
                  <td><xsl:value-of select="po:Description"/></td>
                  <td><xsl:value-of select="po:Price"/></td>
               </tr>
            </xsl:for-each>
         </table>
      </body>
   </html>
</xsl:template>

</xsl:stylesheet>