<?xml version="1.0"?>

<!-- if using Eclipse and ananas.org XM this goes in the rules directory -->
<!-- the XML document (sample2.xml) goes in the src directory             -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:a="http://psol.com/2004/article">

<xsl:output method="html"/>

<xsl:template match="a:article">
   <html><xsl:apply-templates/></html>
</xsl:template>

<xsl:template match="a:body">
   <body>
      <h1><xsl:value-of select="../a:info/a:title"/></h1>
      <h2>Table of Contents</h2>
      <ul>
         <xsl:for-each select="a:section">
            <li><xsl:value-of select="a:title"/></li>
         </xsl:for-each>
      </ul><hr/>
      <xsl:apply-templates/>
      <p>This page was made with XML and XSLT.</p>
   </body>
</xsl:template>

<xsl:template match="a:para">
   <p><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="a:section">
   <xsl:apply-templates/><hr/>
</xsl:template>

<xsl:template match="a:info/a:title">
   <head><title><xsl:apply-templates/></title></head>
</xsl:template>

<xsl:template match="a:section/a:title">
   <h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="a:link">
   <a href="{@uri}"><xsl:apply-templates/></a>
</xsl:template>

<xsl:template match="a:em">
   <i><xsl:apply-templates/></i>
</xsl:template>

<xsl:template match="a:em[@role='bold']">
   <b><xsl:apply-templates/></b>
</xsl:template>

</xsl:stylesheet>